

#include <stdlib.h>
#include <stdio.h>

#include <ruby.h>
#include <intern.h>				/* For rb_dbl2big() */

#include <link-grammar/link-includes.h>



/* Debugging functions/macros */
#ifdef HAVE_STDARG_PROTOTYPES
#include <stdarg.h>
#define va_init_list(a,b) va_start(a,b)
extern void rbjail_debug(const char *fmt, ...);
#else
#include <varargs.h>
#define va_init_list(a,b) va_start(a)
extern void rbjail_debug(fmt, va_alist);
#endif


/* Debugging macro */
#if DEBUG
#  define debugMsg(f)	rbjail_debug f
#else /* ! DEBUG */
#  define debugMsg(f) 
#endif /* DEBUG */

